## LassoSamlpRequest

LassoSamlpRequest — <samlp:Request>

## Functions

LassoNode * | lasso_samlp_request_new ()

## Types and Values

struct | LassoSamlpRequest

## Description

Figure 34. Schema fragment for samlp:Request

    <element name="Request" type="samlp:RequestType"/>
    <complexType name="RequestType">
       <complexContent>
         <extension base="samlp:RequestAbstractType">
    	<choice>
    	   <element ref="samlp:Query"/>
    	   <element ref="samlp:SubjectQuery"/>
    	   <element ref="samlp:AuthenticationQuery"/>
    	   <element ref="samlp:AttributeQuery"/>
    	   <element ref="samlp:AuthorizationDecisionQuery"/>
    	   <element ref="saml:AssertionIDReference" maxOccurs="unbounded"/>
    	   <element ref="samlp:AssertionArtifact" maxOccurs="unbounded"/>
    	</choice>
         </extension>
       </complexContent>
    </complexType>

## Functions

### lasso_samlp_request_new ()

    LassoNode *
    lasso_samlp_request_new (void);

Creates a new LassoSamlpRequest object.

#### Returns

a newly created LassoSamlpRequest object

## Types and Values

### struct LassoSamlpRequest

    struct LassoSamlpRequest {
    	LassoSamlpRequestAbstract parent;

    	/* <element name="AssertionArtifact" type="string"/> */
    	char *AssertionArtifact;
    };